%define upstream_name Log
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Summary: 	Logging Framework
Name: 		php-pear-%{upstream_name}
Version: 	1.14.4
Release: 	%mkrel 1
License: 	MIT License
Group: 		Development/PHP
URL: 		https://pear.php.net/package/Log
Source0: 	https://pear.php.net/get/Log-%{version}.tgz
BuildRequires:  php-pear >= 1.4.7
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch: 	noarch

%description
The Log package provides an abstracted logging framework.  It includes
output handlers for log files, databases, syslog, email, Firebug, and the
console.  It also provides composite and subject-observer logging
mechanisms.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Log.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Log.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Log
fi

%files
%doc docs/Log/*
%{peardir}/*
%{xmldir}/Log.xml


%changelog
* Tue Mar 12 2024 mokraemer <mokraemer> 1.14.4-1.mga10
+ Revision: 2049536
- new version 1.14.4

* Mon Jan 22 2024 mokraemer <mokraemer> 1.14.2-1.mga10
+ Revision: 2033629
- new version 1.14.2

* Fri Jan 12 2024 mokraemer <mokraemer> 1.14.1-1.mga10
+ Revision: 2030342
- new release 1.14.1

* Wed Jan 10 2024 mokraemer <mokraemer> 1.14.0-1.mga10
+ Revision: 2029460
- new version

* Wed Mar 23 2022 umeabot <umeabot> 1.13.3-2.mga9
+ Revision: 1820672
- Mageia 9 Mass Rebuild

* Wed May 05 2021 mokraemer <mokraemer> 1.13.3-1.mga9
+ Revision: 1721425
- new version 1.13.3

* Tue Jun 02 2020 mokraemer <mokraemer> 1.13.2-1.mga8
+ Revision: 1589718
- new version 1.13.2
- new version 1.13.2

* Fri Feb 14 2020 umeabot <umeabot> 1.13.1-2.mga8
+ Revision: 1521757
- Mageia 8 Mass Rebuild

* Mon Dec 31 2018 luigiwalser <luigiwalser> 1.13.1-1.mga7
+ Revision: 1347623
- 1.13.1

* Wed Sep 19 2018 umeabot <umeabot> 1.12.9-3.mga7
+ Revision: 1273377
- Mageia 7 Mass Rebuild

* Thu Feb 18 2016 umeabot <umeabot> 1.12.9-2.mga6
+ Revision: 966184
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 spuhler <spuhler> 1.12.9-1.mga6
+ Revision: 843014
- upgrade to vers. 1.12.9

* Wed Oct 15 2014 umeabot <umeabot> 1.12.8-3.mga5
+ Revision: 741812
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.12.8-2.mga5
+ Revision: 687323
- Mageia 5 Mass Rebuild

* Sat Jul 12 2014 spuhler <spuhler> 1.12.8-1.mga5
+ Revision: 651505
- upgrade to vers. 1.12.8
- pearized spec

* Fri Oct 18 2013 umeabot <umeabot> 1.12.7-3.mga4
+ Revision: 516923
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.12.7-2.mga3
+ Revision: 376808
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 guillomovitch <guillomovitch> 1.12.7-1.mga2
+ Revision: 172414
- update to new version 1.12.7

* Wed Jan 26 2011 spuhler <spuhler> 1.12.5-2.mga1
+ Revision: 39866
- added Requires: php-pear-MDB2

* Mon Jan 17 2011 spuhler <spuhler> 1.12.5-1.mga1
+ Revision: 20905
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-Log

